-- phpMyAdmin SQL Dump
-- version 3.4.11.1deb2+deb7u4
-- http://www.phpmyadmin.net
--
-- Počítač: localhost
-- Vygenerováno: Čtv 07. čec 2016, 14:34
-- Verze MySQL: 5.5.49
-- Verze PHP: 5.4.45-0+deb7u4

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

--
-- Databáze: `alkom_portal`
--

-- --------------------------------------------------------

--
-- Struktura tabulky `actions`
--

CREATE TABLE IF NOT EXISTS `actions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_system` int(11) NOT NULL DEFAULT '0',
  `varname` varchar(255) NOT NULL DEFAULT '',
  `desc1` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `id_system` (`id_system`,`varname`),
  KEY `varname` (`varname`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Vypisuji data pro tabulku `actions`
--

INSERT INTO `actions` (`id`, `id_system`, `varname`, `desc1`) VALUES
(1, 1, 'SYS_LOGIN', 'Přihlášení');

-- --------------------------------------------------------

--
-- Struktura tabulky `CACHE_PAGES`
--

CREATE TABLE IF NOT EXISTS `CACHE_PAGES` (
  `CacheID` char(32) NOT NULL,
  `NameSpace` varchar(20) NOT NULL,
  `CacheGroup` varchar(100) DEFAULT NULL,
  `CacheContents` mediumtext NOT NULL,
  `expire` datetime DEFAULT NULL,
  PRIMARY KEY (`CacheID`,`NameSpace`),
  KEY `expire` (`expire`),
  KEY `CacheGroup` (`CacheGroup`),
  KEY `NameSpace` (`NameSpace`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabulky `classes`
--

CREATE TABLE IF NOT EXISTS `classes` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_system` int(11) NOT NULL DEFAULT '0',
  `varname` varchar(255) NOT NULL DEFAULT '',
  `desc1` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `id_system` (`id_system`),
  KEY `varname` (`varname`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Vypisuji data pro tabulku `classes`
--

INSERT INTO `classes` (`id`, `id_system`, `varname`, `desc1`) VALUES
(1, 0, 'REG_HASH', 'Registrační hash'),
(2, 0, 'REG_DATE', 'Timestamp registrace');

-- --------------------------------------------------------

--
-- Struktura tabulky `group_actions`
--

CREATE TABLE IF NOT EXISTS `group_actions` (
  `id_grp` int(11) NOT NULL DEFAULT '0',
  `id_act` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `id_grp` (`id_grp`,`id_act`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabulky `group_admins`
--

CREATE TABLE IF NOT EXISTS `group_admins` (
  `id_user` int(11) NOT NULL,
  `id_grp` int(11) NOT NULL,
  PRIMARY KEY (`id_user`,`id_grp`),
  KEY `id_user_index` (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabulky `group_info`
--

CREATE TABLE IF NOT EXISTS `group_info` (
  `gid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL DEFAULT '',
  PRIMARY KEY (`gid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=101 ;

--
-- Vypisuji data pro tabulku `group_info`
--

INSERT INTO `group_info` (`gid`, `name`) VALUES
(1, 'admins'),
(100, 'users');

-- --------------------------------------------------------

--
-- Struktura tabulky `group_values`
--

CREATE TABLE IF NOT EXISTS `group_values` (
  `id_grp` int(11) NOT NULL DEFAULT '0',
  `id_system` int(11) NOT NULL DEFAULT '0',
  `id_id` int(11) NOT NULL DEFAULT '0',
  `id_values` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `id_grp` (`id_grp`,`id_system`,`id_id`,`id_values`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabulky `group_visible_actions`
--

CREATE TABLE IF NOT EXISTS `group_visible_actions` (
  `id_act` int(11) NOT NULL,
  `id_grp` int(11) NOT NULL,
  PRIMARY KEY (`id_act`,`id_grp`),
  KEY `id_grp_index` (`id_grp`),
  KEY `id_act_index` (`id_act`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabulky `session_data`
--

CREATE TABLE IF NOT EXISTS `session_data` (
  `session_id` varchar(32) NOT NULL DEFAULT '',
  `http_user_agent` varchar(32) NOT NULL DEFAULT '',
  `session_data` longblob NOT NULL,
  `session_expire` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`session_id`),
  KEY `session_expire` (`session_expire`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabulky `systems`
--

CREATE TABLE IF NOT EXISTS `systems` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Vypisuji data pro tabulku `systems`
--

INSERT INTO `systems` (`id`, `name`) VALUES
(1, 'default');

-- --------------------------------------------------------

--
-- Struktura tabulky `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id_user` int(11) NOT NULL AUTO_INCREMENT,
  `id_grp` int(11) NOT NULL DEFAULT '100',
  `name` varchar(100) DEFAULT NULL,
  `fname` varchar(40) NOT NULL,
  `lname` varchar(60) NOT NULL,
  `tel` varchar(60) DEFAULT NULL,
  `mobil` varchar(60) DEFAULT NULL,
  `mail` varchar(100) DEFAULT NULL,
  `address` varchar(30) DEFAULT NULL,
  `city` varchar(60) DEFAULT NULL,
  `zip` varchar(10) DEFAULT NULL,
  `details` text NOT NULL,
  `login` varchar(100) CHARACTER SET utf8 COLLATE utf8_bin NOT NULL,
  `hash_pwd` varchar(50) DEFAULT NULL,
  `id_conn` varchar(255) DEFAULT NULL,
  `lastact` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id_user`),
  UNIQUE KEY `login` (`login`),
  KEY `lastact` (`lastact`),
  KEY `id_conn` (`id_conn`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;

--
-- Vypisuji data pro tabulku `users`
--

INSERT INTO `users` (`id_user`, `id_grp`, `name`, `fname`, `lname`, `tel`, `mobil`, `mail`, `address`, `city`, `zip`, `details`, `login`, `hash_pwd`, `id_conn`, `lastact`) VALUES
(1, 1, 'Lukáš Zíta', 'Lukáš', 'Zíta', NULL, NULL, 'fish@archa.cz', NULL, NULL, NULL, '', 'fish@archa.cz', '---disabled---', NULL, '2016-07-07 12:33:18');

-- --------------------------------------------------------

--
-- Struktura tabulky `users_otp`
--

CREATE TABLE IF NOT EXISTS `users_otp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL,
  `otp` varchar(50) NOT NULL,
  `expire` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `id_user` (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Struktura tabulky `user_actions`
--

CREATE TABLE IF NOT EXISTS `user_actions` (
  `id_user` int(11) NOT NULL DEFAULT '0',
  `id_act` int(11) NOT NULL DEFAULT '0',
  `permission` tinyint(4) NOT NULL DEFAULT '1',
  UNIQUE KEY `id_user` (`id_user`,`id_act`),
  KEY `id_act` (`id_act`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

--
-- Vypisuji data pro tabulku `user_actions`
--

INSERT INTO `user_actions` (`id_user`, `id_act`, `permission`) VALUES
(1, 1, 1);

-- --------------------------------------------------------

--
-- Struktura tabulky `user_classes`
--

CREATE TABLE IF NOT EXISTS `user_classes` (
  `id_user` int(11) NOT NULL DEFAULT '0',
  `id_system` int(11) NOT NULL DEFAULT '0',
  `id_class` int(11) NOT NULL DEFAULT '0',
  `val` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id_user`,`id_system`,`id_class`),
  KEY `id_system` (`id_system`),
  KEY `id_class` (`id_class`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabulky `user_groups`
--

CREATE TABLE IF NOT EXISTS `user_groups` (
  `id_user` int(11) NOT NULL,
  `id_grp` int(11) NOT NULL,
  PRIMARY KEY (`id_user`,`id_grp`),
  KEY `id_user_index` (`id_user`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Struktura tabulky `user_values`
--

CREATE TABLE IF NOT EXISTS `user_values` (
  `id_user` int(11) NOT NULL DEFAULT '0',
  `id_system` int(11) NOT NULL DEFAULT '0',
  `id_id` int(11) NOT NULL DEFAULT '0',
  `id_values` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `id_user` (`id_user`,`id_system`,`id_id`,`id_values`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
